Package org.drinkless.tdlib

# Class TdApi.AddChatMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FailedToAddMembers>
org.drinkless.tdlib.TdApi.AddChatMember

Enclosing class:
  `TdApi`

public static class TdApi.AddChatMember extends TdApi.Function<TdApi.FailedToAddMembers>
Adds a new member to a chat; requires canInviteUsers member right. Members can't be added to private or secret chats. Returns information about members that weren't added.

Returns `FailedToAddMembers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `forwardLimit`
  The number of earlier messages from the chat to be forwarded to the new member; up to 100.
  `long`
  `userId`
  Identifier of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddChatMember()`
  Default constructor for a function, which adds a new member to a chat; requires canInviteUsers member right.
  `AddChatMember(long chatId, long userId, int forwardLimit)`
  Creates a function, which adds a new member to a chat; requires canInviteUsers member right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### userId

    public long userId
    Identifier of the user.

  - ### forwardLimit

    public int forwardLimit
    The number of earlier messages from the chat to be forwarded to the new member; up to 100. Ignored for supergroups and channels, or if the added user is a bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddChatMember

    public AddChatMember()
    Default constructor for a function, which adds a new member to a chat; requires canInviteUsers member right. Members can't be added to private or secret chats. Returns information about members that weren't added.

    Returns `FailedToAddMembers`

  - ### AddChatMember

    public AddChatMember(long chatId, long userId, int forwardLimit)
    Creates a function, which adds a new member to a chat; requires canInviteUsers member right. Members can't be added to private or secret chats. Returns information about members that weren't added.

    Returns `FailedToAddMembers`

    Parameters:
      `chatId` - Chat identifier.
      `userId` - Identifier of the user.
      `forwardLimit` - The number of earlier messages from the chat to be forwarded to the new member; up to 100. Ignored for supergroups and channels, or if the added user is a bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FailedToAddMembers>`
    Returns:
      this.CONSTRUCTOR